For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet Seller Initiated Refunds
          • GETGet Seller Initiated Refunds for an order
          • GETGet Seller Initiated Refunds for order
          • POSTMark the refund as complete
          • POSTReport errors encountered when processing a seller-initiated refund
LogoLogo
RESTFeedAMP Order SourceRefunds

Get Seller Initiated Refunds for order

GET
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/refunds/:feedamp_refund_id
GET
/api/v1/orders/:mp_order_number/refunds/:feedamp_refund_id
$curl https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/refunds/feedamp_refund_id \
> -H "Authorization: Bearer <token>"
1{
2 "feedamp_refund_id": 1001,
3 "mp_order_number": "ABC-123",
4 "notes": null,
5 "status": "CREATED",
6 "date_created": {},
7 "merchant_refund_lines": [
8 {
9 "mp_line_number": "ABC-123-GHY-219",
10 "currency": "USD",
11 "refund_quantity": 1,
12 "item_refund": 6.99,
13 "item_tax_refund": 0.11,
14 "shipping_refund": 0,
15 "shipping_tax_refund": 0,
16 "discount_refund": 0,
17 "reason": "CUSTOMER_CANCELLED"
18 }
19 ],
20 "errors": [
21 {
22 "code": "EXCESS_ITEM_REFUND",
23 "message": "Requested refund amount (100.99) exceeds the line's cost (75.99)"
24 }
25 ]
26}

Get all seller-initiated refunds for an order

Was this page helpful?
Previous

Get Seller Initiated Refunds for an order

Next

Mark the refund as complete

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
feedamp_refund_idstringRequired
The unique for a seller initiated refund

Response

Order Refunds
feedamp_refund_idinteger
internal unique id that identifies this particular refund
mp_order_numberstring
the mp odder number the refund should be applied to
notesany
Custom notes on the refund to send to the customer. If reason is set to 'OTHER', this field contains additional information regarding the refund.
statusenum

Status of the Refund in FeedAMP CREATED - The refund is ready to be processed PAUSED - The refund is not ready to be processed. If the market place reports any errors for a refund the refunds becomes paused. When the seller resolves the errors the state changes back to CREATED COMPLETE - The marketplace has indicated that the refund has been processed

Allowed values:
date_createddate

Date the refund was created. ISO 8601 DATE YYYY-MM-DD

merchant_refund_lineslist of objects
Collection of lines refunded by merchant
errorslist of objects
Collection of active errors for the refund

Errors

401
Unauthorized Error
404
Not Found Error